PipeWire: Thread

PipeWire 1.2.6

Loading...
Searching...
No Matches
Files | Macros | Functions
Thread
Utilities

## Files
file | thread.h
| `pipewire/thread.h`

## Macros
#define | pw_thread_utils_create(...)
#define | pw_thread_utils_join(...)
#define | pw_thread_utils_get_rt_range(...)
#define | pw_thread_utils_acquire_rt(...)
#define | pw_thread_utils_drop_rt(...)

## Functions
void | pw_thread_utils_set (struct spa_thread_utils *impl)
struct spa_thread_utils * | pw_thread_utils_get (void)
void * | pw_thread_fill_attr (const struct spa_dict *props, void *attr)

## Detailed Description

functions to manipulate threads

## Macro Definition Documentation

## ◆ pw_thread_utils_create

#define pw_thread_utils_create | ( |  | ... | ) |

Value:
spa_thread_utils_create(pw_thread_utils_get(), ##__VA_ARGS__)
pw_thread_utils_get
struct spa_thread_utils * pw_thread_utils_get(void)
Definition thread.c:179
spa_thread_utils_create
static struct spa_thread * spa_thread_utils_create(struct spa_thread_utils *o, const struct spa_dict *props, void *(*start_routine)(void *), void *arg)
create a new thread that runs start with arg
Definition thread.h:71

## ◆ pw_thread_utils_join

#define pw_thread_utils_join | ( |  | ... | ) |

Value:
spa_thread_utils_join(pw_thread_utils_get(), ##__VA_ARGS__)
spa_thread_utils_join
static int spa_thread_utils_join(struct spa_thread_utils *o, struct spa_thread *thread, void **retval)
stop and join a thread
Definition thread.h:83

## ◆ pw_thread_utils_get_rt_range

#define pw_thread_utils_get_rt_range | ( |  | ... | ) |

Value:
spa_thread_utils_get_rt_range(pw_thread_utils_get(), ##__VA_ARGS__)
spa_thread_utils_get_rt_range
static int spa_thread_utils_get_rt_range(struct spa_thread_utils *o, const struct spa_dict *props, int *min, int *max)
get realtime priority range for threads created with props
Definition thread.h:95

## ◆ pw_thread_utils_acquire_rt

#define pw_thread_utils_acquire_rt | ( |  | ... | ) |

Value:
spa_thread_utils_acquire_rt(pw_thread_utils_get(), ##__VA_ARGS__)
spa_thread_utils_acquire_rt
static int spa_thread_utils_acquire_rt(struct spa_thread_utils *o, struct spa_thread *thread, int priority)
acquire realtime priority, a priority of -1 refers to the priority configured in the realtime module
Definition thread.h:107

## ◆ pw_thread_utils_drop_rt

#define pw_thread_utils_drop_rt | ( |  | ... | ) |

Value:
spa_thread_utils_drop_rt(pw_thread_utils_get(), ##__VA_ARGS__)
spa_thread_utils_drop_rt
static int spa_thread_utils_drop_rt(struct spa_thread_utils *o, struct spa_thread *thread)
drop realtime priority
Definition thread.h:119

## Function Documentation

## ◆ pw_thread_utils_set()

void pw_thread_utils_set | ( | struct spa_thread_utils * | impl | ) |

## ◆ pw_thread_utils_get()

struct spa_thread_utils * pw_thread_utils_get | ( | void |  | ) |

## ◆ pw_thread_fill_attr()

void * pw_thread_fill_attr | ( | const struct spa_dict * | props,
|  | void * | attr )